Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class EncryptedData

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.EncryptedData

public class EncryptedData
extends java.lang.Object

Constructor Summary
`EncryptedData(ASN1Sequence seq)`
`EncryptedData(EncryptedContentInfo encryptedContentInfo, ASN1Set unprotectedAttrs)`

Method Summary
`DERObject` | `getDERObject()` EncryptedData ::= SEQUENCE { version CMSVersion, encryptedContentInfo EncryptedContentInfo, unprotectedAttrs [1] IMPLICIT UnprotectedAttributes OPTIONAL }
`EncryptedContentInfo` | `getEncryptedContentInfo()`
`static EncryptedData` | `getInstance(java.lang.Object obj)` return an EncryptedData object from the given object.
`ASN1Set` | `getUnprotectedAttrs()`
`DERInteger` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedData

    public EncryptedData(EncryptedContentInfo encryptedContentInfo,
                         ASN1Set unprotectedAttrs)

### EncryptedData

    public EncryptedData(ASN1Sequence seq)

Method Detail

### getInstance

    public static EncryptedData getInstance(java.lang.Object obj)

  return an EncryptedData object from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getVersion

    public DERInteger getVersion()

### getEncryptedContentInfo

    public EncryptedContentInfo getEncryptedContentInfo()

### getUnprotectedAttrs

    public ASN1Set getUnprotectedAttrs()

### getDERObject

    public DERObject getDERObject()

       EncryptedData ::= SEQUENCE {
       	version CMSVersion,
       	encryptedContentInfo EncryptedContentInfo,
       	unprotectedAttrs [1] IMPLICIT UnprotectedAttributes OPTIONAL
       }

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD